Class HttpEventBridgeIntegration.Builder

java.lang.Object
software.amazon.awscdk.aws_apigatewayv2_integrations.HttpEventBridgeIntegration.Builder
All Implemented Interfaces:
software.amazon.jsii.Builder<HttpEventBridgeIntegration>
Enclosing class:
HttpEventBridgeIntegration

@Stability(Stable) public static final class HttpEventBridgeIntegration.Builder extends Object implements software.amazon.jsii.Builder<HttpEventBridgeIntegration>
A fluent builder for HttpEventBridgeIntegration.
  • Method Details

    • create

      @Stability(Stable) public static HttpEventBridgeIntegration.Builder create(String id)
      Parameters:
      id - id of the underlying integration construct. This parameter is required.
      Returns:
      a new instance of HttpEventBridgeIntegration.Builder.
    • eventBusRef

      @Stability(Stable) public HttpEventBridgeIntegration.Builder eventBusRef(EventBusReference eventBusRef)
      EventBridge event bus that integrates with API Gateway.

      Parameters:
      eventBusRef - EventBridge event bus that integrates with API Gateway. This parameter is required.
      Returns:
      this
    • parameterMapping

      @Stability(Stable) public HttpEventBridgeIntegration.Builder parameterMapping(ParameterMapping parameterMapping)
      Specifies how to transform HTTP requests before sending them to the backend.

      When not provided, a default mapping will be used that expects the incoming request body to contain the fields Detail, DetailType, and Source.

      The EventBusName is automatically included from eventBusRef in all cases, even when a custom parameterMapping is provided (unless explicitly overridden). This ensures consistency and eliminates redundant configuration.

      Default: - set `Detail` to `$request.body.Detail`, `DetailType` to `$request.body.DetailType`, `Source` to `$request.body.Source`, and `EventBusName` to the event bus name from `eventBusRef`.

      Parameters:
      parameterMapping - Specifies how to transform HTTP requests before sending them to the backend. This parameter is required.
      Returns:
      this
      See Also:
    • subtype

      @Stability(Stable) public HttpEventBridgeIntegration.Builder subtype(HttpIntegrationSubtype subtype)
      The subtype of the HTTP integration.

      Only subtypes starting with EVENTBRIDGE_ can be specified.

      Default: HttpIntegrationSubtype.EVENTBRIDGE_PUT_EVENTS

      Parameters:
      subtype - The subtype of the HTTP integration. This parameter is required.
      Returns:
      this
    • build

      @Stability(Stable) public HttpEventBridgeIntegration build()
      Specified by:
      build in interface software.amazon.jsii.Builder<HttpEventBridgeIntegration>
      Returns:
      a newly built instance of HttpEventBridgeIntegration.